<?php
if(count(get_included_files()) ==1) exit("Direct access not permitted.");
if(!$statuslogin) exit;
$mod = basename(__FILE__, '.php');
$page->tbJs($mod);
if(isset($_GET['id'])){
	$id=strip_tags(stripslashes($_GET['id']));
	$page->setJudul("Input Kategori Informasi Baru");
	$nama="";
	if($id>0){
		$page->setJudul("Edit Kategori Informasi");
		$query="SELECT * FROM tb_konten_kategori WHERE id=?";
		$rs=$db->loadAssoc($query,array($id));
		if(isset($rs['id'])){
			$nama=$rs['nama'];
		}
	}
	$page->addLoad("kategorikonten.edit($id)");
	?>
	
	<div class="box_main_konten">
		<h3>DETAIL KATAGORI</h3>
		<div class="group_form">
			<title>Nama Kategori</title>
			<div class="col10">
				<input id="nama" value="<?php echo $nama;?>" />
			</div>
		</div>
		<div style="clear: both;"></div>
	</div>
	<div class="box_button_bawah">
		<div id="box_error_simpan" class="error"></div>
		<span class="btmerah btncancel" onclick="kategorikonten.kembali()">Kembali</span>&nbsp;&nbsp;<span onclick="kategorikonten.simpan()" class="bthijau btnsave">Simpan</span>
	</div>
	<?php
}else{
	$page->addLoad("kategorikonten.load()");
	$page->setJudul("Data Kategori Informasi");
	?>
	<div class="box_button_atas">
		Jumlah baris: <select id="jumlah_hal" class="slkecil" onchange="kategorikonten.loade()">
			<option value="30">30</option>
			<option value="50">50</option>
			<option value="100">100</option>
		</select> &nbsp;
		Hal: <select id="hal_ke" class="slkecil" onchange="kategorikonten.load()"><option value="1">1</option></select>
		&nbsp;<input placeholder="Default: Nama Jenis Pengadaan" onkeypress="kategorikonten.enter(event)" id="cari" class="in_cari" />
		&nbsp;&nbsp;<span id="btcari" class="btnone btncari" onclick="kategorikonten.loade()">Cari</span>
		&nbsp;&nbsp;<span class="btnone btncanggih" onclick="kategorikonten.caricanggih()">Cari Detail</span>
	</div>
	<div id="grid_kategorikonten"></div>
	<div id="loader_data_kategori" class="error"></div>
	<div class="box_button_bawah">
		<span onclick="kategorikonten.buat(0)" class="bthijau btninput">Input Kategori Informasi Baru</span>
	</div>
	<div id="btedit" style="display:none;">
		<span class="icon_del" onclick="kategorikonten.hapus(#{id})"></span>
		<span class="icon_edit" onclick="kategorikonten.buat(#{id})"></span>
	</div>
	<span onclick="kategorikonten.setstatus(#{id},##{jumlah_tabel},##{baris_tabel},this)" id="btstatus" class="#(#{status}==1)?'mini_ok':'mini_dis'#"></span>
	<?php
}
?>
